For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom Data Types (CDT) Formation

The "Custom Data Types (CDT) Formation" folder within the API collection is a dedicated section that focuses on API requests and endpoints related to the getting CDTs information from formation.

Get One CDT

get

This is a GET request endpoint that retrieves information about a specific CDT within the current formation. The endpoint requires the URL of the application, the name of the tenant, and the name of the instance. Additionally, the endpoint requires the name of the CDT to retrieve information for.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
cdtNamestringRequired

Machine-readable CDT name defined in Designer (e.g. my_custom_type)

Responses
200

CDT formation

application/json
idstring · uuidOptional
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
labelstringOptional
versionintegerOptional
internalbooleanOptional
readablebooleanOptionalDefault: true
updatablebooleanOptionalDefault: true
typestring · enumOptionalPossible values:
relationstring · enumOptionalPossible values:
get/{tenantName}/{instanceName}/formations/current/cdts/{cdtName}
GET /{tenantName}/{instanceName}/formations/current/cdts/{cdtName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "title": "text",
  "label": "text",
  "version": 1,
  "internal": true,
  "readable": true,
  "updatable": true,
  "type": "SINGLE_RECORD",
  "relation": "COMMON",
  "fields": [
    {
      "name": "text",
      "type": "TEXT",
      "formula": "text",
      "dictionary": {
        "name": "text",
        "field": "text"
      },
      "profileDataType": {
        "name": "text",
        "fields": [
          "text"
        ]
      },
      "customDataType": {
        "name": "text",
        "fields": [
          "text"
        ]
      },
      "customFieldType": "text",
      "editable": true,
      "searchable": true,
      "bulkEdit": true,
      "phi": true,
      "disable": true,
      "injectedSource": true,
      "displayType": "CHECKBOX",
      "valueType": "STRING",
      "meta": {
        "label": "text",
        "minLength": 1,
        "maxLength": 1,
        "minValue": "text",
        "maxValue": "text",
        "fileTypes": [
          "text"
        ],
        "maxFiles": 1,
        "maxTotalFileSize": 1,
        "required": true,
        "options": [
          {
            "label": "text",
            "value": null,
            "refCdtName": "text"
          }
        ],
        "multiple": true,
        "patterns": [
          "NUMBERS_ONLY"
        ]
      },
      "mask": {
        "symbol": "*",
        "startPosition": 1,
        "endPosition": 1
      },
      "richTextEnabled": true
    }
  ]
}

Get All CDT

get

This API endpoint allows you to retrieve information about the (CDTs) associated with the current formation in a specified tenant and instance. The GET request should be sent to the specified URL with the appropriate values for the {{tenantName}} and {{instanceName}} parameters. Upon successful execution of the request, the response will contain a list of the CDTs associated with the current formation, including their names and any other relevant metadata.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Query parameters
pdtNamestringOptional

Filter CDTs related to a specific PDT name

namesstring[]Optional

Filter by exact CDT name(s)

searchstring · max: 50Optional

Free-text search

internalOnlystringOptionalExample: true
Responses
200

List of CDT formations

application/json
idstring · uuidOptional
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
labelstringOptional
versionintegerOptional
internalbooleanOptional
readablebooleanOptionalDefault: true
updatablebooleanOptionalDefault: true
typestring · enumOptionalPossible values:
relationstring · enumOptionalPossible values:
get/{tenantName}/{instanceName}/formations/current/cdts
GET /{tenantName}/{instanceName}/formations/current/cdts HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "title": "text",
    "label": "text",
    "version": 1,
    "internal": true,
    "readable": true,
    "updatable": true,
    "type": "SINGLE_RECORD",
    "relation": "COMMON",
    "fields": [
      {
        "name": "text",
        "type": "TEXT",
        "formula": "text",
        "dictionary": {
          "name": "text",
          "field": "text"
        },
        "profileDataType": {
          "name": "text",
          "fields": [
            "text"
          ]
        },
        "customDataType": {
          "name": "text",
          "fields": [
            "text"
          ]
        },
        "customFieldType": "text",
        "editable": true,
        "searchable": true,
        "bulkEdit": true,
        "phi": true,
        "disable": true,
        "injectedSource": true,
        "displayType": "CHECKBOX",
        "valueType": "STRING",
        "meta": {
          "label": "text",
          "minLength": 1,
          "maxLength": 1,
          "minValue": "text",
          "maxValue": "text",
          "fileTypes": [
            "text"
          ],
          "maxFiles": 1,
          "maxTotalFileSize": 1,
          "required": true,
          "options": [
            {
              "label": "text",
              "value": null,
              "refCdtName": "text"
            }
          ],
          "multiple": true,
          "patterns": [
            "NUMBERS_ONLY"
          ]
        },
        "mask": {
          "symbol": "*",
          "startPosition": 1,
          "endPosition": 1
        },
        "richTextEnabled": true
      }
    ]
  }
]

Last updated

Was this helpful?